Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1052709 - Trivial change for ppc64le in perl spec
Summary: Trivial change for ppc64le in perl spec
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl
Version: rawhide
Hardware: ppc64le
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2014-01-13 22:10 UTC by Brent Baude
Modified: 2014-01-15 16:16 UTC (History)
9 users (show)

Fixed In Version: perl-5.18.2-293.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1061792 (view as bug list)
Environment:
Last Closed: 2014-01-14 13:29:48 UTC


Attachments (Terms of Use)

Description Brent Baude 2014-01-13 22:10:29 UTC
Please consider the following trivial patch to allow ppc64le to build perl properly:

diff --git a/perl.spec b/perl.spec
index 1052e4a..bfac097 100644
--- a/perl.spec
+++ b/perl.spec
@@ -3,7 +3,7 @@
 %global perl_arch_stem -thread-multi
 %global perl_archname %{_arch}-%{_os}%{perl_arch_stem}
 
-%global multilib_64_archs aarch64 ppc64 s390x sparc64 x86_64 
+%global multilib_64_archs aarch64 ppc64 s390x sparc64 x86_64 ppc64le
 %global parallel_tests 1
 %global tapsetdir   %{_datadir}/systemtap/tapset

Comment 1 Petr Pisar 2014-01-14 12:10:13 UTC
There is a discussion whether Fedora's RPM supports "ppc64le" as an architecture identifier.

Comment 2 Petr Pisar 2014-01-14 12:34:11 UTC
So RPM knows ppc64le.

There is a %{power64} macro which should expand to all 64-bit PowerPC architecture RPM identifiers. I will use that to replace plain ppc64.

Once the macro get knowledge about ppc64le it will satisfy your needs.

Comment 3 Petr Pisar 2014-01-14 13:29:48 UTC
I've modified the perl.spec.

Now rpm has to change "power64" macro. See bug #1052930.


Note You need to log in before you can comment on or make changes to this bug.